Commit 34b9c0cf authored by Kirill Smelkov's avatar Kirill Smelkov

pyx.build: Fix support for develop install `pip install -e` (v↑ setuptools_dso (1.6 -> 1.7))

Starting from setuptools-dso 1.7 pyx.build no longer misses to
(re)compile dsos when `build_ext -i` is run:

https://github.com/mdavidsaver/setuptools_dso/pull/10
https://github.com/mdavidsaver/setuptools_dso/commit/84e06348

Previously `pip install -e` would just fail when run afresh because DSOs
were not built, and so link ext->dso was failing.
parent fb662979
[build-system]
requires = ["setuptools", "wheel", "setuptools_dso >= 1.6", "cython", "gevent"]
requires = ["setuptools", "wheel", "setuptools_dso >= 1.7", "cython", "gevent"]
......@@ -156,7 +156,7 @@ class develop(XInstallGPython, _develop):
# requirements of packages under "golang." namespace
R = {
'cmd.pybench': {'pytest'},
'pyx.build': {'setuptools', 'wheel', 'cython', 'setuptools_dso >= 1.6'},
'pyx.build': {'setuptools', 'wheel', 'cython', 'setuptools_dso >= 1.7'},
'x.perf.benchlib': {'numpy'},
}
# TODO generate `a.b -> a`, e.g. x.perf = join(x.perf.*); x = join(x.*)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment